Skip to navigation

Get TenantMeteringSummary by ID

Beta
Get a single TenantMeteringSummary by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tenant_metering_summary_idstringRequired
ID of the TenantMeteringSummary.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
balancedoubleOptional
Number of credits remaining in the current granted amount.
grantedAmountdoubleOptional
Total credits granted to the tenant.
hasEntitlementbooleanOptional

Whether the tenant has a Benchling credit entitlement. When false, balance, usage, overage, and grantedAmount are all zero.

idstringOptional
isUserCreditEnforcementEnabledbooleanOptional

Tenant-wide enforcement setting.

monthlyCreditLimitinteger or nullOptional

The monthly credit limit applied to each user tenant-wide. Equals tenantCreditLimit.monthlyLimit when the tenant has a tenant-wide limit; otherwise the default limit. Null when per-user credit limits are not enabled for the tenant.

overagedoubleOptional
Excess credits that have been consumed by the tenant, possibly to be billed.
tenantCreditLimitobject or nullOptional
The credit limit for the tenant as a whole, if there is one.
usagedoubleOptional
How many credits the tenant has used in the past period.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error